OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
base.h File Reference
`#include "ompi_config.h"`
`#include "opal/class/opal_list.h"`
`#include "opal/mca/mca.h"`
`#include "ompi/mca/allocator/allocator.h"`

Go to the source code of this file.

## Data Structures
struct | mca_allocator_base_selected_module_t
| Structure which describes a selected module. More...

## Typedefs
typedef struct mca_allocator_base_selected_module_t | mca_allocator_base_selected_module_t
| Convenience typedef.

## Functions
OMPI_DECLSPEC | OBJ_CLASS_DECLARATION (mca_allocator_base_selected_module_t)
| Declaces mca_mpool_base_selected_module_t as a class.
OMPI_DECLSPEC int | mca_allocator_base_open (void)
| Function for finding and opening either all MCA components, or the one that was specifically requested via a MCA parameter.
OMPI_DECLSPEC int | mca_allocator_base_close (void)
| Closes all the remaining modules. More...
OMPI_DECLSPEC mca_allocator_base_component_t * | mca_allocator_component_lookup (const char *name)
| Traverses through the list of available components, calling their init functions until it finds the component that has the specified name. More...

## Variables
OMPI_DECLSPEC opal_list_t | mca_allocator_base_components
| The list of all the selected components.

## Function Documentation

OMPI_DECLSPEC int mca_allocator_base_close | ( | void |  | ) |

Closes all the remaining modules.

Return values

  OMPI_SUCCESS |

References mca_allocator_base_components, and mca_allocator_base_output.

OMPI_DECLSPEC mca_allocator_base_component_t* mca_allocator_component_lookup | ( | const char * | name | ) |

Traverses through the list of available components, calling their init functions until it finds the component that has the specified name.

It then returns the found component.

Parameters

  name | the name of the component that is being searched for.

Return values

  mca_allocator_base_component_t* | pointer to the requested component
  NULL | if the requested component is not found

References mca_allocator_base_component_2_0_0_t::allocator_version, mca_base_component_2_0_0_t::mca_component_name, opal_list_get_end(), opal_list_get_first(), and opal_list_get_next.